Subject: Re: bug#27230: eldoc doc

From: Dmitry Gutov <[email-masked]>
Date: Tue, 6 Jun 2017 23:19:46 +0300

On 6/6/17 9:33 PM, Charles A. Roelli wrote:
> I'm confused about how the command `define-globalized-minor-mode'
> defines will handle buffers that already have the minor mode turned
> on.

Indeed, the docstring is a bit ambiguous.

Maybe you want to improve the documentation of the said function, or the 
auto-generated docstring that it puts on the created minor modes.

> Say buffers A and B have simple `eldoc-mode' switched on, and
> buffers C and D don't (and global-eldoc-mode is off).  If I then
> switch global-eldoc-mode on, is every buffer's value of eldoc-mode
> now /on/, or do the values get toggled instead (leaving A and B off, C
> and D on)?

Not toggled, of course. On everywhere (where appropriate).

> And after that, if I toggle global-eldoc-mode off again,
> are the previous values remembered and restored, or does every buffer
> now have eldoc-mode switched off?

Not remembered, no. Off everywhere.